Bug 195084 - emulators/linux_base-{c6,f10}: libgmp.so.3 not found but required by expr(1) and factor(1)
Summary: emulators/linux_base-{c6,f10}: libgmp.so.3 not found but required by expr(1) ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords: patch
Depends on: 195087
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-16 21:48 UTC by Jan Beich
Modified: 2014-12-09 09:06 UTC (History)
1 user (show)

See Also:


Attachments
fix (8.51 KB, patch)
2014-11-16 21:57 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-11-16 21:48:08 UTC
Trying to execute a linux bash script which invokes expr(1) may fail. By default linuxulator substitutes native /bin/expr which hides the issue. However, sanitizing PATH or invoking commands with absolute pathnames would expose it.

  $ /compat/linux/usr/bin/expr
  /compat/linux/usr/bin/expr: error while loading shared libraries:
  libgmp.so.3: cannot open shared object file: No such file or directory

cf. https://lists.freebsd.org/pipermail/freebsd-gecko/2014-November/004694.html
Comment 1 Jan Beich freebsd_committer 2014-11-16 21:57:42 UTC
Created attachment 149496 [details]
fix

Hmm, no archive fallback in MASTER_SITES for linux_base-f10. I'll file a separate bug but for now use the following links to obtain distfiles.

https://archives.fedoraproject.org/pub/archive/fedora/linux/releases/10/Everything/i386/os/Packages/gmp-4.2.2-8.fc10.i386.rpm
https://archives.fedoraproject.org/pub/archive/fedora/linux/releases/10/Everything/source/SRPMS/gmp-4.2.2-8.fc10.src.rpm
Comment 2 Johannes Jost Meixner freebsd_committer 2014-11-17 00:20:42 UTC
I'll take it.
Comment 3 commit-hook freebsd_committer 2014-12-02 18:37:34 UTC
A commit references this bug:

Author: xmj
Date: Tue Dec  2 18:37:08 UTC 2014
New revision: 373778
URL: https://svnweb.freebsd.org/changeset/ports/373778

Log:
  linux_base-f10/c6: add missing gmp

  - expr(1) and factor(1) currently shipped with linux emulation fail, due to
    missing gmp libraries. Add these to allow the correct behavior
  - Bump PORTREVISIONs

  PR: 		195084
  Differential Revision:	https://reviews.freebsd.org/D1252
  Submitted by:	Jan Beich <jbeich@vfemail.net>
  Approved by:	swills (mentor)

Changes:
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/distinfo.i686
  head/emulators/linux_base-c6/pkg-plist
  head/emulators/linux_base-f10/Makefile
  head/emulators/linux_base-f10/distinfo.i386
  head/emulators/linux_base-f10/pkg-plist
Comment 4 Johannes Jost Meixner freebsd_committer 2014-12-09 09:06:03 UTC
Committed, thanks!